GET /api/v202108/notification/type

Get a list of notification types

GetNotificationTypesV202108

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

NotificationType
Property Description Type
notificationCategory NotificationCategory
NotificationCategory properties
Property Description Type
notificationCategoryDescription A description of the notification category string
notificationCategoryId The id of the notification category integer (int32)
notificationCategoryInfo The notification category name string
notificationTypeDescription A description of the notification type string
notificationTypeId The id of the notification type integer (int32)
notificationTypeInfo The notification type name string
Example Response application/json
[
  {    "notificationCategory": {      "notificationCategoryDescription": "string",      "notificationCategoryId": 1,      "notificationCategoryInfo": "string"
    },    "notificationTypeDescription": "string",    "notificationTypeId": 1,    "notificationTypeInfo": "string"
  }
]